# gdcm::PixmapWriter Class Reference

PixmapWriter This class will takes two inputs: 1. The DICOM DataSet 2. The Image input It will override any info from the Image over the DataSet. More...

`#include <gdcmPixmapWriter.h>`

Inheritance diagram for gdcm::PixmapWriter:
[legend]
Collaboration diagram for gdcm::PixmapWriter:
[legend]

List of all members.

## Public Member Functions

| PixmapWriter ()
| ~PixmapWriter ()
virtual const Pixmap & | GetImage () const
virtual Pixmap & | GetImage ()
Pixmap & | GetPixmap ()
const Pixmap & | GetPixmap () const
virtual void | SetImage (Pixmap const &img)
void | SetPixmap (Pixmap const &img)
bool | Write ()
| Write.

## Protected Member Functions

void | DoIconImage (DataSet &ds, Pixmap const &image)
bool | PrepareWrite ()

## Protected Attributes

SmartPointer< Pixmap > | PixelData

## Detailed Description

PixmapWriter This class will takes two inputs: 1. The DICOM DataSet 2. The Image input It will override any info from the Image over the DataSet.

For instance when one read in a lossy compressed image and write out as unencapsulated (ie implicitely lossless) then some attribute are definitely needed to mark this dataset as Lossy (typically 0028,2114)

## Constructor & Destructor Documentation

gdcm::PixmapWriter::PixmapWriter | ( |  | ) |

gdcm::PixmapWriter::~PixmapWriter | ( |  | ) |

## Member Function Documentation

void gdcm::PixmapWriter::DoIconImage | ( | DataSet & | ds,
|  | Pixmap const & | image
| ) |  | `[protected]`

virtual const Pixmap& gdcm::PixmapWriter::GetImage | ( |  | ) | const`[inline, virtual]`

Set/Get Pixmap to be written It will overwrite anything Pixmap infos found in DataSet (see parent class to see how to pass dataset)

Reimplemented in gdcm::ImageWriter.

virtual Pixmap& gdcm::PixmapWriter::GetImage | ( |  | ) | `[inline, virtual]`

Reimplemented in gdcm::ImageWriter.

Pixmap& gdcm::PixmapWriter::GetPixmap | ( |  | ) | `[inline]`

const Pixmap& gdcm::PixmapWriter::GetPixmap | ( |  | ) | const`[inline]`

bool gdcm::PixmapWriter::PrepareWrite | ( |  | ) | `[protected]`

virtual void gdcm::PixmapWriter::SetImage | ( | Pixmap const & | img | ) | `[virtual]`

Examples:
  CompressImage.cxx, GenFakeImage.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, and MergeTwoFiles.cxx.

void gdcm::PixmapWriter::SetPixmap | ( | Pixmap const & | img | ) |

bool gdcm::PixmapWriter::Write | ( |  | ) | `[virtual]`

Write.

Reimplemented from gdcm::Writer.

Reimplemented in gdcm::ImageWriter.

## Member Data Documentation

SmartPointer<Pixmap> gdcm::PixmapWriter::PixelData `[protected]`

The documentation for this class was generated from the following file:

- gdcmPixmapWriter.h